

window.addEventListener("click", onDownloadSelect, false);

function onDownloadSelect(aEvent)
{
  if (gDownloadsView.selected) {
    var st = parseInt(gDownloadsView.selected.getAttribute("state"));
    if (st < 0)
      st = 0;

    switch (st) {
    case 0:  // Downloading
      document.getElementById("dmStartButton").disabled = true;
      document.getElementById("dmLaunchButton").disabled = true;
      document.getElementById("dmShowButton").disabled = true;
      break;
    case 1:  // Done
      document.getElementById("dmStartButton").disabled = false;
      document.getElementById("dmLaunchButton").disabled = false;
      document.getElementById("dmShowButton").disabled = false;
      break;
    case 2:  // Failed
    case 3:  // Canceled
      document.getElementById("dmStartButton").disabled = false;
      document.getElementById("dmLaunchButton").disabled = true;
      document.getElementById("dmShowButton").disabled = true;
      break;
    case 4:  // Paused
      document.getElementById("dmStartButton").disabled = false;
      document.getElementById("dmLaunchButton").disabled = true;
      document.getElementById("dmShowButton").disabled = true;
      break;
    case 7:  // Install Done
      document.getElementById("dmStartButton").disabled = true;
      document.getElementById("dmLaunchButton").disabled = true;
      document.getElementById("dmShowButton").disabled = true;
      break;
    default:
      document.getElementById("dmStartButton").disabled = true;
      document.getElementById("dmLaunchButton").disabled = true;
      document.getElementById("dmShowButton").disabled = true;
      break;
    }
  }
}
